Loading...
Searching...
No Matches
vec_expr_v2_binary< Op, Expr1, Expr2 >

## Detailed Description

template<class Op, class Expr1, class Expr2>
struct rheolef::details::vec_expr_v2_binary< Op, Expr1, Expr2 >

Definition at line 156 of file vec_expr_v2.h.

## Classes

struct | const_iterator

## Public Types

typedef Expr1::size_type | size_type
typedef promote< typenameExpr1::value_type, typenameExpr2::value_type >::type | value_type
typedef Expr1::memory_type | memory_type
typedef Expr1::const_iterator | expr1_const_iterator
typedef Expr2::const_iterator | expr2_const_iterator
typedef float_traits< value_type >::type | float_type

## Public Member Functions

| vec_expr_v2_binary (const Op &op, const Expr1 &expr1, const Expr2 &expr2)
const distributor & | ownership () const
size_type | size () const
const_iterator | begin () const

## Protected Attributes

const Op | _op
expr1_const_iterator | _iter1
expr2_const_iterator | _iter2
const distributor | _ownership

## Member Typedef Documentation

## size_type

template<class Op , class Expr1 , class Expr2 >

typedef Expr1::size_type size_type

Definition at line 158 of file vec_expr_v2.h.

## value_type

template<class Op , class Expr1 , class Expr2 >

typedef promote<typenameExpr1::value_type,typenameExpr2::value_type>::type value_type

Definition at line 161 of file vec_expr_v2.h.

## memory_type

template<class Op , class Expr1 , class Expr2 >

typedef Expr1::memory_type memory_type

Definition at line 162 of file vec_expr_v2.h.

## expr1_const_iterator

template<class Op , class Expr1 , class Expr2 >

typedef Expr1::const_iterator expr1_const_iterator

Definition at line 163 of file vec_expr_v2.h.

## expr2_const_iterator

template<class Op , class Expr1 , class Expr2 >

typedef Expr2::const_iterator expr2_const_iterator

Definition at line 164 of file vec_expr_v2.h.

## float_type

template<class Op , class Expr1 , class Expr2 >

typedef float_traits<value_type>::type float_type

Definition at line 165 of file vec_expr_v2.h.

## Constructor & Destructor Documentation

## vec_expr_v2_binary()

template<class Op , class Expr1 , class Expr2 >

vec_expr_v2_binary | ( | const Op & | op,
|  | const Expr1 & | expr1,
|  | const Expr2 & | expr2
| ) |  |

Definition at line 169 of file vec_expr_v2.h.

## Member Function Documentation

## ownership()

template<class Op , class Expr1 , class Expr2 >

const distributor & ownership | ( |  | ) | const

Definition at line 181 of file vec_expr_v2.h.

## size()

template<class Op , class Expr1 , class Expr2 >

size_type size | ( |  | ) | const

Definition at line 182 of file vec_expr_v2.h.

## begin()

template<class Op , class Expr1 , class Expr2 >

const_iterator begin | ( |  | ) | const

Definition at line 203 of file vec_expr_v2.h.

## Member Data Documentation

## _op

template<class Op , class Expr1 , class Expr2 >

const Op _op

protected

Definition at line 205 of file vec_expr_v2.h.

## _iter1

template<class Op , class Expr1 , class Expr2 >

expr1_const_iterator _iter1

protected

Definition at line 206 of file vec_expr_v2.h.

## _iter2

template<class Op , class Expr1 , class Expr2 >

expr2_const_iterator _iter2

protected

Definition at line 207 of file vec_expr_v2.h.

## _ownership

template<class Op , class Expr1 , class Expr2 >

const distributor _ownership

protected

Definition at line 208 of file vec_expr_v2.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/linalg/lib/vec_expr_v2.h